summaryrefslogtreecommitdiff
path: root/pcr/tahoe-lafs
diff options
context:
space:
mode:
authorGaming4JC <g4jc@openmailbox.org>2015-07-30 17:33:57 -0400
committerGaming4JC <g4jc@openmailbox.org>2015-07-30 17:33:57 -0400
commit9137ca7f13283c09f7b703c5a17f44eef41a96e5 (patch)
tree4276de2d0c2344fb0031ca641f2d13559912f0db /pcr/tahoe-lafs
parent26fd6a015b283bd3bbcac2f852ace17a38e16000 (diff)
adopting and updating tahoe
Diffstat (limited to 'pcr/tahoe-lafs')
-rw-r--r--pcr/tahoe-lafs/PKGBUILD93
-rw-r--r--pcr/tahoe-lafs/PKGBUILD.sigbin0 -> 543 bytes
2 files changed, 65 insertions, 28 deletions
diff --git a/pcr/tahoe-lafs/PKGBUILD b/pcr/tahoe-lafs/PKGBUILD
index a9937ba82..6a09409ae 100644
--- a/pcr/tahoe-lafs/PKGBUILD
+++ b/pcr/tahoe-lafs/PKGBUILD
@@ -1,38 +1,75 @@
+# Maintainer: Luke R. <g4jc@openmailbox.org> GPG: rsa4096/3EAE8697
+# Contributor (Arch): Skydrome <skydrome@i2pmail.org>
+# Contributor (Arch): DaNiMoTh <jjdanimoth@gmail.com>
# Contributor (Arch): Peter Simons <simons@cryp.to>
# Contributor (Arch): Nicolas Pouillard <nicolas.pouillard@gmail.com>
+
pkgname=tahoe-lafs
-pkgver=1.10.0
-pkgrel=2
-pkgdesc="a secure, decentralized, fault-tolerant filesystem"
-arch=('any')
-url='http://tahoe-lafs.org/'
+pkgver=1.10.1
+pkgrel=1
+pkgdesc="Secure, decentralized, and fault-tolerant filesystem."
+url='https://tahoe-lafs.org/trac/tahoe-lafs'
license=('GPL')
-# net-tools is needed because Tahoe-LAFS uses /sbin/ifconfig
-depends=('net-tools' 'python2' 'python2-zope-interface>=3.6.5'
- 'twisted' 'python2-pyasn1' 'python2-crypto' 'pycryptopp' 'nevow'
- 'python2-foolscap' 'python2-simplejson' 'zfec' 'python2-pyopenssl'
- 'pyutil' 'python2-argparse' 'zbase32' 'python2-mock>=0.8.0')
-source=(nodaemon.patch
- 0001-auto_deps-Workaround-dep-resolution-issue.patch
- https://tahoe-lafs.org/source/tahoe-lafs/releases/allmydata-tahoe-$pkgver.tar.bz2)
-sha256sums=('7fb13a50bdca729b9c78f12369e56fccf55594b646bddb270d55c08c83ce3449'
- '055079c36e58a604765312eeb98df4133c77634bdb9a88da5a8c0142ea9e4e10'
- '9c5516700fe95fdf8c57eca1e2a7b4aebf2de9a4d327d50afd684ebf833ccfe2')
+arch=('any')
+conflicts=('tahoe-lafs-i2p')
+BUILDENV+=(!check)
-prepare() {
- cd "$srcdir/allmydata-tahoe-$pkgver"
- patch -p0 < ../nodaemon.patch
- patch -p1 < ../0001-auto_deps-Workaround-dep-resolution-issue.patch
-}
+depends=('openssl>=1.0.2'
+ 'python2-twisted>=13.0.0'
+ 'python2-mock>=1.0.1'
+ 'python2-pyopenssl>=0.14'
+ 'python2-pyasn1>=0.1.4'
+ 'python2-pyasn1-modules>=0.0.5'
+ 'python2-zope-interface>=4.0.5'
+ 'python2-characteristic>=14.3.0'
+ 'python2-service-identity>=14.0.0'
+ 'python2-cryptography'
+ 'pyutil>=1.9.4'
+ 'python2-simplejson>=3.1.3'
+ 'nevow>=0.11.1'
+ 'zbase32>=1.1.5'
+ 'zfec>=1.4.24'
+ 'pycryptopp>=0.6.0'
+ 'python2-cffi'
+ 'python2-enum34'
+ 'python2-pycparser'
+ 'python2-six'
+ 'libffi'
+ 'python2-foolscap>=0.8.0'
+ 'net-tools' # provides /sbin/ifconfig
+ 'python2-setuptools')
+
+optdepends=('python2-numpy: reliability test')
+
+source=("https://tahoe-lafs.org/source/tahoe-lafs/releases/allmydata-tahoe-$pkgver.tar.bz2"
+"https://tahoe-lafs.org/source/tahoe-lafs/releases/allmydata-tahoe-1.10.1.tar.bz2.asc"
+'PKGBUILD'
+'PKGBUILD.sig')
+validpgpkeys=('CB6E213A349B8DF9E96B622AC3F4FFCF3EAE8697' # PKGBUILD Maintainer's key
+'E34E62D06D0E69CFCA4179FFBDE0D31D68666A7A') # Tahoe-LAFS Release-Signing Key
+sha512sums=('1c8a94f07f6c1d832b7ea05f5a24b410a58d7058814215794d2d600e55774aa9f015208caf281e527547a8c12ff25a989ba26fbfd8b89c57c772880857d7dd88'
+'1da1eeb1d2f61f836a2f514eaff73770fa8cf3dd18950de9e159af2a4c2f13b46033b10a6bf545e96c0cf8319a88923eb2792e4aebd17f048d6b0a364dd97737'
+'SKIP'
+'SKIP')
build(){
- cd "$srcdir/allmydata-tahoe-$pkgver"
- python2 setup.py build
- # disabled due to the nodaemon patch and the test_filesystem* tests
- #python2 setup.py test || return 1
+ gpg --verify PKGBUILD.sig PKGBUILD
+ echo "Note: If the GPG verification fails, import the PKGBUILD maintainer's GPG key. See: https://wiki.parabola.nu/GnuPG#Import_key"
+ whirlpoolsum=('4150961c179dd6537dc06e1c4423026df42cd04a62c9b2ec9af35034b5fd868342459d46195422fb9638017265ea8232b381df6b6678017463e06a2ae130581a')
+ [[ "$(openssl dgst -r -whirlpool allmydata-tahoe-$pkgver.tar.bz2 | awk '{print $1}')" = ${whirlpoolsum} ]] && echo "Whirlpool checksum passed." || { echo "Whirlpool checksum failed!!" ; exit 1; } # This is an added security layer. If SHA512 for some unlikely reason fails, whirlpool will check and abort if it too fails to match.
+ gpg --verify allmydata-tahoe-$pkgver.tar.bz2.asc allmydata-tahoe-$pkgver.tar.bz2
+ cd "${srcdir}/allmydata-tahoe-${pkgver}"
+ python2 setup.py build
}
-package(){
- cd "$srcdir/allmydata-tahoe-$pkgver"
- python2 setup.py install --root="$pkgdir"
+check() {
+ cd "${srcdir}/allmydata-tahoe-${pkgver}"
+ msg "This may take a while"
+ python2 bin/tahoe debug trial $MAKEFLAGS
}
+
+package(){
+ cd "${srcdir}/allmydata-tahoe-${pkgver}"
+ python2 setup.py install --root="$pkgdir" --optimize=1
+ install -Dm644 COPYING.GPL "${pkgdir}/usr/share/licenses/${pkgname}/COPYING"
+} \ No newline at end of file
diff --git a/pcr/tahoe-lafs/PKGBUILD.sig b/pcr/tahoe-lafs/PKGBUILD.sig
new file mode 100644
index 000000000..6a3f954a5
--- /dev/null
+++ b/pcr/tahoe-lafs/PKGBUILD.sig
Binary files differ